//
//  ViewController.m
//  SSASample
//
//  Created by hirofumi kaneko on 2013/04/16.
//

#import "ViewController.h"

@interface ViewController ()
{
    SSA * ssa_;
    IBOutlet UIImageView * imageView_;
}

- (IBAction)tapped:(id)sender;

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    ssa_ = [[SSA alloc] initWithSetSSImage:[UIImage imageNamed:@"img.png"]
                                  duration:0.1
                                  clipRect:CGRectMake(0, 0, 44, 44)];
    
    //ssa_.isLoop = YES;
    imageView_.image = [ssa_ getImageByFrame:0 setCounter:YES];
}

- (IBAction)tapped:(id)sender
{
    UIButton * btn = (UIButton *)sender;
    switch (btn.tag)
    {
        case 0: [self start]; break;
        case 1: [self pause]; break;
        case 2: [self resume]; break;
        case 3: [self stop]; break;
    }
}

- (void)start
{
    [ssa_ startAnimationWithGetImage:^(UIImage *image) {
        
        imageView_.image = image;        
    
    } complete:^(BOOL isCompleted, BOOL isLoop) {
        
        // isCompleted 0:not complete (call stop) / 1:animation complete
        [self alert:@"Complete" message:[NSString stringWithFormat:@"isCompleted : %i", isCompleted] btnName:@"OK"];
        
    }];    
}

- (void)pause
{
    [ssa_ pause];
}

- (void)resume
{
    [ssa_ resume];
}

- (void)stop
{
    [ssa_ stop];
}

- (void)alert:(NSString *)title message:(NSString *)message btnName:(NSString *)btnName
{
    UIAlertView * _alert = [[UIAlertView alloc] initWithTitle:title
                                                      message:message
                                                     delegate:nil
                                            cancelButtonTitle:btnName
                                            otherButtonTitles:nil];
	[_alert show];
}

@end
